# Uses of Class
org.apache.lucene.spatial.prefix.tree.NumberRangePrefixTree.SpanUnitsNRShape

Packages that use NumberRangePrefixTree.SpanUnitsNRShape
Package
Description
org.apache.lucene.spatial.prefix.tree
This package is about SpatialPrefixTree and any supporting classes.

- ## Uses of NumberRangePrefixTree.SpanUnitsNRShape in org.apache.lucene.spatial.prefix.tree

  Methods in org.apache.lucene.spatial.prefix.tree that return NumberRangePrefixTree.SpanUnitsNRShape
  Modifier and Type
  Method
  Description
  `NumberRangePrefixTree.SpanUnitsNRShape`
  NumberRangePrefixTree.SpanUnitsNRShape.`clone()`
  A deep clone.
  Methods in org.apache.lucene.spatial.prefix.tree with parameters of type NumberRangePrefixTree.SpanUnitsNRShape
  Modifier and Type
  Method
  Description
  `org.locationtech.spatial4j.shape.SpatialRelation`
  NumberRangePrefixTree.NRCell.`relate(NumberRangePrefixTree.SpanUnitsNRShape spanShape)`
  `org.locationtech.spatial4j.shape.SpatialRelation`
  NumberRangePrefixTree.SpanUnitsNRShape.`relate(NumberRangePrefixTree.SpanUnitsNRShape ext)`